Delete Application
curl --request DELETE \
--url https://api.anchorbrowser.io/v1/applications/{applicationId} \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/applications/{applicationId}"
headers = {"anchor-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anchorbrowser.io/v1/applications/{applicationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"anchor-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anchorbrowser.io/v1/applications/{applicationId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("anchor-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.anchorbrowser.io/v1/applications/{applicationId}")
.header("anchor-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anchorbrowser.io/v1/applications/{applicationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["anchor-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Applications
Delete Application
Deletes an existing application.
DELETE
/
v1
/
applications
/
{applicationId}
Delete Application
curl --request DELETE \
--url https://api.anchorbrowser.io/v1/applications/{applicationId} \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/applications/{applicationId}"
headers = {"anchor-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anchorbrowser.io/v1/applications/{applicationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"anchor-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anchorbrowser.io/v1/applications/{applicationId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("anchor-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.anchorbrowser.io/v1/applications/{applicationId}")
.header("anchor-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anchorbrowser.io/v1/applications/{applicationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["anchor-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access).
Path Parameters
The ID of the application to delete
Response
Application deleted successfully
Whether the deletion was successful
Was this page helpful?

